%define _name control-center
%define ver_major 2.26

%def_disable debug
%def_disable alsa
%def_enable aboutme
%def_disable static

Name: gnome-control-center
Version: %ver_major.0
Release: alt1

Summary: GNOME Control Center
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

Patch1: %name-2.22.1-alt-background-location.patch
# Fix some useless warnings in libslab 
# http://bugzilla.gnome.org/show_bug.cgi?id=439398 
Patch6: %name-2.19.90-no-warnings.patch

# call the ALTLinux graphical passwd changing apps (from fedora)
Patch7: %name-2.25.3-passwd.patch

# change default preferred apps to programs we ship 
Patch99: %name-2.21.92-default-applications.patch

Obsoletes: %_name
Provides: %_name = %version-%release

# From configure.in
%define gtk_ver 2.11.6
%define glib_ver 2.17.4
%define libgnomeui_ver 2.2.0
%define desktop_ver 2.25.1
%define fontconfig_ver 1.0.0
%define xft_ver 2.1.2
%define libbonobo_ver 2.0.0
%define nautilus_ver 2.6.0
%define gnome_menu_ver 2.10.1
%define libmetacity_ver 2.23.1
%define libgnomekbd_ver 2.21.4.1
%define libxklavier_ver 3.7

# For about-me capplet
%define eds_ver 1.7.90
# For HAL support
%define hal_ver 0.5.6
%define dbus_glib_ver 0.32
# For gstreamer support
%define gstreamer_ver 0.10.1.2

# libgnome 2.13.0 is needed because of file conflicts with older ones.
%define libgnome_ver 2.13.0
%define desktop_file_utils_ver 0.8

PreReq: GConf2
PreReq: librarian
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
Requires: xscreensaver

# For /usr/share/gnome
Requires: gnome-filesystem
Requires: gnome-desktop
Requires: gnome-settings-daemon
# for graphical passwd changing apps
Requires: userpasswd
BuildPreReq: rpm-build-gnome >= 0.9

# From configure.in
BuildPreReq: gnome-doc-utils
# We use macros first defined in this version of ScrollKeeper

BuildPreReq: intltool >= 0.37.1
BuildPreReq: gnome-common
BuildPreReq: libcanberra-devel
BuildPreReq: librarian
BuildPreReq: fontconfig-devel >= %fontconfig_ver
BuildPreReq: libXft-devel >= %xft_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: glib2-devel >= %glib_ver libgio-devel
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: libX11-devel libXext-devel libSM-devel libXScrnSaver-devel libXt-devel libXxf86misc-devel libXcursor-devel libXi-devel libXrandr-devel
BuildPreReq: libgnome-menus-devel >= %gnome_menu_ver
BuildPreReq: libgnome-panel-devel
# For gnome-settings-daemon
BuildPreReq: libgnome-desktop-devel >= %desktop_ver
BuildPreReq: libdbus-glib-devel
BuildPreReq: librsvg-devel
BuildPreReq: libpango-devel
BuildPreReq: gstreamer-devel >= %gstreamer_ver
BuildPreReq: gst-plugins-devel >= %gstreamer_ver
BuildPreReq: libxml2-devel libmetacity-devel
BuildPreReq: libXft-devel libXi-devel libXrandr-devel libXrender-devel libXcursor-devel
BuildPreReq: libmetacity-devel >= %libmetacity_ver
BuildPreReq: libgnomekbd-devel >= %libgnomekbd_ver
BuildPreReq: libxklavier-devel >= %libxklavier_ver
BuildPreReq: gnome-settings-daemon-devel
%{?_enable_aboutme:BuildPreReq: evolution-data-server-devel >= %eds_ver}
BuildPreReq: libhal-devel >= %hal_ver
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver
BuildRequires: gcc-c++ imake  python-modules-compiler samba-common xorg-cf-files perl-XML-Parser
BuildRequires: libPolicyKit-gnome-devel

Requires: libxklavier >= %libxklavier_ver

%description
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, the window manager, system
sounds, and mouse behavior).

If you install GNOME, you need to install control-center.

%package devel
Summary: GNOME Control Center development files
Group: Development/GNOME and GTK+
Obsoletes: %_name-devel
Provides: %_name-devel = %version-%release
Requires: %name = %version-%release

%description devel
If you're interested in developing panels for the GNOME control center,
you'll want to install this package.

%name-devel helps you create the 'capplets' which are used in
the control center.

%if_enabled static
%package devel-static
Summary: GNOME control-center static libraries
Group: Development/GNOME and GTK+
Obsoletes: %_name-devel-static
Provides: %_name-devel-static = %version-%release
Requires: %name-devel = %version-%release

%description devel-static
Static libraries that could be used to develop GNOME Control Center
'capplets'.
%endif

%prep
%setup -q
%patch1 -p1 -b .background-location
pushd libslab
%patch6 -p0 -b .warnings
popd
%patch7 -p1 -b .passwd

%patch99 -p1 -b .default-apps

%build
gnome-doc-prepare -f --automake
%autoreconf

# Work-around http://bugzilla.gnome.org/show_bug.cgi?id=427939 
sed -i -e 's/@ENABLE_SK_TRUE@_s/_s/' help/Makefile.in


%configure \
    %{subst_enable alsa} \
    --enable-gstreamer \
    %{subst_enable aboutme} \
    %{subst_enable debug} \
    %{subst_enable static} \
    --disable-schemas-install \
    --disable-update-mimedb \
    --disable-scrollkeeper

# SMP-incompatible build
%make

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name-2.0

%define desktop_schemas control-center

%post
%gconf2_install %desktop_schemas

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %desktop_schemas
fi

%files -f %name-2.0.lang
%_bindir/*
%config %gconf_schemasdir/*
%_libdir/libgnome-window-settings.so.*
%dir %_libdir/window-manager-settings
%_libdir/window-manager-settings/*.so
%dir %_datadir/%name
%_datadir/%name/glade
%_datadir/%name/keybindings
%_datadir/%name/pixmaps
%dir %_datadir/%name/default-apps
%_datadir/%name/default-apps/gnome-default-applications.xml
%_desktopdir/*.desktop
%_sysconfdir/xdg/menus/gnomecc.menu

%_datadir/desktop-directories/*
%_datadir/gnome/cursor-fonts
%_datadir/mime/packages/gnome-theme-package.xml
%_sysconfdir/xdg/autostart/gnome-at-session.desktop
%_iconsdir/hicolor/*/apps/*
%gnomehelpdir/%_name
%_omfdir/%_name/*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_datadir/pkgconfig/gnome-keybindings.pc
%_datadir/pkgconfig/gnome-default-applications.pc

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/window-manager-settings/*.a
%endif

%exclude %_libdir/window-manager-settings/libmetacity.la

%changelog
* Tue Mar 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Tue Mar 03 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.92-alt1
- 2.25.92

* Tue Jan 27 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.3-alt1
- 2.25.3
- removed obsolete %%post{,un} scripts
- updated buildreqs

* Sun Oct 26 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0.1-alt3
- rebuild

* Tue Sep 30 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.0.1-alt2
- fix schemas list

* Sun Sep 28 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0.1-alt1
- 2.24.0.1

* Sun Sep 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.2.1-alt2
- fix gnome bug #529773 (requires patched libxklavier-3.7)
- small fix in russian translation.

* Fri May 30 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2.1-alt1
- 2.22.2.1
- make about me capplet use userpasswd for passwords (patch7)(#15742)
- fix problems with the home address not being saved,
  and addresses being swapped or the like (patch8) (GNOME #317835,#15742)

* Mon Apr 14 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt1
- 2.22.1
- changed path background(updated patch5)
- updated randr patch

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.22.0-alt1.1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for gnome-control-center

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)

* Mon Mar 10 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.92-alt1
- new version (2.21.92)
- remove package gnome-setting-daemon
- update section %%files

* Mon Feb 04 2008 Alexey Shabalin <shaba@altlinux.ru> 2.20.3-alt1
- new version (2.20.3)
- removed patches:
  + for RH bug #330501 (more key defaults) (fixed upstream)
  + for GNOME bug #489973 (orca command) (fixed upstream)

* Tue Dec 11 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.1-alt1
- new version (2.20.1)
- add Packager
- add patches from fedora8
- disabled patch1 (control-center-2.18-custom-keybinding.diff)
- add a "valid" OnlyShowIn entry, otherwise desktop-file-install complains 
- fix section files
- update buildreq

* Sun Jul 01 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.1-alt1
- new version (2.18.1)
- updated dependencies
- applied a patch from OpenSolaris that enables editing custom keybindings.
- invoke gnome-doc-prepare and autoreconf to get around GNOME Bug 427939
- use new macros from rpm-build-gnome
- gnome-settings-daemon now resides in its own subpackage; maintainers of GNOME
  programs that interact with it are encouraged to add a corresponding Requires
- updated the files list and the schemas list; schemas list is split into two,
  one for g-s-d, the other one installed with control-center.

* Wed Apr 25 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt4
- fixed bug #11610

* Tue Apr 10 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt3
- switched debug off by default

* Wed Apr 04 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt2
- introduced 'debug' switch.

* Thu Feb 01 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt1
- new version 2.16.3 (with rpmrb script)

* Wed Dec 27 2006 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt2
- rebuild with new dbus

* Thu Dec 21 2006 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version 2.16.2 (with rpmrb script)

* Tue Oct 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version 2.16.1 (with rpmrb script)

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt3
- enabled aboutme capplet
- let pkgconfig handle dependencies of the -devel subpackage.
- added gnome-filesystem as a container of /usr/share/gnome path.
- added /usr/share/gnome/help/control-center to the files list.
- gnome-settings-daemon now lives in plain %%_libexecdir

* Wed Sep 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt2
- removed spurious dependency on gnome-session.

* Tue Sep 05 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version 2.16.0.
- removed unneeeded dependency on kernel-headers.

* Fri Sep 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt3
- added dependency on gnome-session >= 2.15.92 due to transition from Bonobo to DBus.

* Wed Aug 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt2
- rebuilt with new gstreamer.

* Sun Aug 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt1
- new version 2.15.92 (with rpmrb script)

* Sat Aug 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)
- updated dependencies
- added 'aboutme' switch
- disabled about-me capplet, waiting for evolution-data-server >= 1.7.90
- replaced Bonobo with DBus for gnome-settings-daemon

* Sun Jul 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt2
- Bumped up the release to bump up the robot to build g-c-c with
  gstreamer-0.10.

* Wed May 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version (2.14.1)
- removed Debian menu support.

* Wed Feb 22 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.92-alt1
- new version
- buildreqs revised

* Thu Feb 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version

* Wed Feb 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5.1-alt2
- added switches for alsa and gstreamer.
- enabled aboutme capplet, themes:/// and fonts:/// uri schemes.

* Sun Jan 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5.1-alt1
- new version
- updated dependencies
- cleaned up the files list

* Mon Jan 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5-alt1
- new version

* Tue Jan 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.4-alt1
- new version

* Sat Nov 19 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version
- %%exclude .la files instead of removing them before packaging.
- rewritten schemas installing, now changes of the schemas list won't go unnoticed by a maintainer.

* Mon Oct 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Sun Sep 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92

* Wed Jul 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Tue Apr 05 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Thu Feb 10 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.4-alt1
- 2.9.4

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Wed Sep 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.1-alt1
- 2.7.1

* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Apr 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0.3-alt1
- 2.6.0.3

* Sat Mar 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt3
- fix GNOME_SettingsDaemon.server

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt2
- rebuild with libxklavier-0.97

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Sat Jan 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- do not package .la files.
- do not build %%name-devel-static subpackage by default.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Tue Jul 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt2
- remove %%preun with %%gconf2_uninstall.

* Mon Jul 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Thu May 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Fri Mar 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Wed Feb 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Thu Jan 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sun Dec 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- ugly theme_switcher updated from cvs.

* Sun Nov 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt2
- Renamed to gnome-control-center.

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt1.2
- Rebuild with new pango, gtk, gnome-desktop (soname changed).

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.1.1-alt1.1
- fixed %post script (Yuri don't use comma in %gconf2_install macros)

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt1
- 2.0.1.1

* Fri Jul 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build control-center for GNOME2.
